[Libreoffice-commits] buildbot.git: 3 commits - tb/tb_internals.sh tb/tb_phases.sh

Norbert Thiebaud nthiebaud at gmail.com
Wed Oct 8 15:52:53 PDT 2014


 tb/tb_internals.sh |   13 +++++++++----
 tb/tb_phases.sh    |    5 +++++
 2 files changed, 14 insertions(+), 4 deletions(-)

New commits:
commit 8e6023cd0d52746070ed629414d54f12864c3338
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date:   Wed Oct 8 17:52:20 2014 -0500

    tb: support TB_LOCALTEMPDIR=1 to isolate temp files of a build

diff --git a/tb/tb_phases.sh b/tb/tb_phases.sh
index 39fbace..1472e62 100644
--- a/tb/tb_phases.sh
+++ b/tb/tb_phases.sh
@@ -11,6 +11,11 @@ canonical_pre_autogen()
         if [ ! -f autogen.lastrun -o "${tb_KEEP_AUTOGEN}" != "YES" ] ; then
             copy_autogen_config
         fi
+        if [ "${TB_LOCALTEMPDIR}" = "1" ] ; then
+            rm -fr tempdir
+            mkdir tempdir
+            export TMPDIR="$(pwd)/tempdir"
+        fi
     fi
 }
 
commit 4a5aaa340acec46a68145998d25cced805ae22ba
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date:   Wed Oct 8 17:51:33 2014 -0500

    tb: support and use autogen.input

diff --git a/tb/tb_internals.sh b/tb/tb_internals.sh
index c08cf23..028e99a 100644
--- a/tb/tb_internals.sh
+++ b/tb/tb_internals.sh
@@ -95,7 +95,11 @@ collect_current_head()
 #
 copy_autogen_config()
 {
-    cp "${tb_CONFIG_DIR?}/profiles/${P?}/autogen.lastrun" autogen.lastrun
+    if [ -f "${tb_CONFIG_DIR?}/profiles/${P?}/autogen.lastrun" ] ; then
+        cp "${tb_CONFIG_DIR?}/profiles/${P?}/autogen.lastrun" autogen.input
+    else
+        cp "${tb_CONFIG_DIR?}/profiles/${P?}/autogen.input" autogen.input
+    fi
 }
 
 deliver_lo_to_bibisect()
commit b81602d8914f2e00d14087ea710f0fbde39a1ca6
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date:   Wed Oct 8 16:04:32 2014 -0500

    try to make sure that R is forwared up

diff --git a/tb/tb_internals.sh b/tb/tb_internals.sh
index 3e3ae9a..c08cf23 100644
--- a/tb/tb_internals.sh
+++ b/tb/tb_internals.sh
@@ -857,7 +857,7 @@ run_gerrit_task()
         # run the build
         do_build ${phase_list?}
     fi
-    # tell teh gerrit buildbot of the result of the build
+    # tell the gerrit buildbot of the result of the build
     # R contain the overall result
     report_gerrit
 
@@ -940,8 +940,9 @@ run_primer()
         tb_SEND_MAIL="none"
         pushd "${TB_GIT_DIR?}" > /dev/null || die "Cannot cd to git repo ${TB_GIT_DIR?} for profile ${P?}"
         run_tb_task
+        exit "$R"
         )
-        R=$?
+        R="$?"
     done
 
 }
@@ -1276,7 +1277,7 @@ try_run_task()
                 rm -f "${TB_TRIGGER_FILE?}"
             fi
         fi
-        return $R
+        exit "$R"
     )
     R="$?"
     # check we we intercepted a signal, if so bail


More information about the Libreoffice-commits mailing list